Get email accounts
curl --request GET \
--url https://prod.leadvector.app/v1/email-accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://prod.leadvector.app/v1/email-accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://prod.leadvector.app/v1/email-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/email-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/email-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod.leadvector.app/v1/email-accounts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/email-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Email accounts fetched successfully",
"data": {
"items": [
{
"id": 12,
"uuid": "019f2504-58b8-77ec-9c3f-54f5d6df7350",
"email": "sam@northwind.example",
"provider": "GOOGLE_WORKSPACE",
"status": "ACTIVE",
"health": "HEALTHY",
"lastConnectedAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"lastErrorReason": null,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"domain": {
"id": 7,
"name": "northwind.example",
"isWarmupEnabled": true,
"status": true
},
"warmupProfile": {
"status": "ACTIVE",
"warmupDay": 12,
"dailyLimit": 20,
"hourlyLimit": 5,
"minuteLimit": 1,
"maxDailyLimit": 40,
"increasePerDay": 2,
"disableSlowWarmup": false,
"replyRatePercent": 30,
"weekdaysOnly": true,
"dailyCampaignLimit": 50,
"replyToAddress": null,
"usedToday": 14,
"emailsSentCount": 320,
"emailsReceivedCount": 290,
"bounceCount": 0,
"warmupScore": 92,
"lastWarmupAt": "2023-11-07T05:31:56Z",
"nextWarmupAt": "2023-11-07T05:31:56Z",
"lastErrorReason": null
},
"displayName": "Sam Roe"
}
],
"total": 3,
"page": 1,
"limit": 20
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Email accounts
Get email accounts
Returns email accounts belonging to the authenticated API user.
GET
/
v1
/
email-accounts
Get email accounts
curl --request GET \
--url https://prod.leadvector.app/v1/email-accounts \
--header 'x-api-key: <api-key>'import requests
url = "https://prod.leadvector.app/v1/email-accounts"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://prod.leadvector.app/v1/email-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://prod.leadvector.app/v1/email-accounts",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://prod.leadvector.app/v1/email-accounts"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://prod.leadvector.app/v1/email-accounts")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://prod.leadvector.app/v1/email-accounts")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Email accounts fetched successfully",
"data": {
"items": [
{
"id": 12,
"uuid": "019f2504-58b8-77ec-9c3f-54f5d6df7350",
"email": "sam@northwind.example",
"provider": "GOOGLE_WORKSPACE",
"status": "ACTIVE",
"health": "HEALTHY",
"lastConnectedAt": "2023-11-07T05:31:56Z",
"lastUsedAt": "2023-11-07T05:31:56Z",
"cooldownUntil": "2023-11-07T05:31:56Z",
"lastErrorReason": null,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"domain": {
"id": 7,
"name": "northwind.example",
"isWarmupEnabled": true,
"status": true
},
"warmupProfile": {
"status": "ACTIVE",
"warmupDay": 12,
"dailyLimit": 20,
"hourlyLimit": 5,
"minuteLimit": 1,
"maxDailyLimit": 40,
"increasePerDay": 2,
"disableSlowWarmup": false,
"replyRatePercent": 30,
"weekdaysOnly": true,
"dailyCampaignLimit": 50,
"replyToAddress": null,
"usedToday": 14,
"emailsSentCount": 320,
"emailsReceivedCount": 290,
"bounceCount": 0,
"warmupScore": 92,
"lastWarmupAt": "2023-11-07T05:31:56Z",
"nextWarmupAt": "2023-11-07T05:31:56Z",
"lastErrorReason": null
},
"displayName": "Sam Roe"
}
],
"total": 3,
"page": 1,
"limit": 20
}
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "INVALID_API_KEY",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"error": "Unauthorized"
}{
"statusCode": 401,
"message": "RATE_LIMIT_EXCEEDED",
"traceId": "4f1c2b7e9a0d4c3b8e6f5a2d1c0b9e8f",
"timestamp": "2026-11-03T09:41:12.000Z",
"path": "/v1/find-email",
"limit": 10,
"windowSeconds": 60,
"retryAfterSeconds": 6,
"error": "Unauthorized"
}Authorizations
Your API key, from the API keys page of the app.
Query Parameters
Filter by warmup profile status. Only matches mailboxes that have a warmup profile. Distinct from status, which filters mailbox state.
Available options:
ACTIVE, PAUSED, COOLDOWN, BLOCKED Example:
"PAUSED"
Filter by whether the mailbox uses a custom tracking domain. False also matches mailboxes with no warmup profile, which have none either. Distinct from status, which filters mailbox state.
Example:
false